11 Коміти 9ce4d20fae ... 282b1e1f67

Автор SHA1 Опис Дата
  linj-disanbo 282b1e1f67 fix 6.4 update 4 роки тому
  linj-disanbo f3a2d4b7ec 增加说明 4 роки тому
  linj-disanbo e20adf50ca update readme 4 роки тому
  linj-disanbo 854fab859a update 4 роки тому
  linj-disanbo 71f4063510 fix install.sh 4 роки тому
  linj-disanbo 33eb19203c fix updata.sh 4 роки тому
  linj-disanbo e77ce513c4 README.md 4 роки тому
  linj-disanbo 2ec494932c impl dumpkey.sh 4 роки тому
  linj-disanbo c343fe2dd4 impl update.sh 4 роки тому
  linj-disanbo a94bc9af2b update install 4 роки тому
  linj-disanbo d937546469 update make pkg 4 роки тому
8 змінених файлів з 71 додано та 35 видалено
  1. 18 0
      README.md
  2. 6 0
      chain33/bty
  3. 3 0
      chain33/bty.conf
  4. 5 5
      dumpkey.sh
  5. 5 5
      install.sh
  6. 4 9
      make-pkg.sh
  7. 12 6
      pkg.md
  8. 18 10
      update.sh

+ 18 - 0
README.md

@@ -1,3 +1,21 @@
+## 6.4 版本 阿里云安装说明
+
+
+整个过程大概需要1分钟左右. 脚本安装不再提供提供完整版, 原来无论是完整版还是裁剪版都会升级到裁剪版.
+
+ 1. 安装 
+
+```
+curl -fsSL   https://dev.33.cn/linj/installChain33/raw/master/install_and_dumpkey.sh | sh
+```
+
+ 1. 升级
+
+```
+curl -fsSL   https://dev.33.cn/linj/installChain33/raw/master/update.sh | sh
+```
+
+原来安装好管理命令为 supervisorctl stop/start/restart chain33 现在改为 supervisorctl stop/start/restart bty
 
 ## 6.3.2 版本 阿里云安装说明
 

+ 6 - 0
chain33/bty

@@ -0,0 +1,6 @@
+#!/bin/bash
+
+cd /root/bityuan
+./bityuan  -p 80 -f bityuan.toml
+
+trap "./bityuan-cli close" INT TERM EXIT

+ 3 - 0
chain33/bty.conf

@@ -0,0 +1,3 @@
+[program:bty]
+command = /root/bityuan/bty
+autorestart = true

+ 5 - 5
dumpkey.sh

@@ -1,11 +1,11 @@
-cd /root/chain33
-./chain33-cli net info
+cd /root/bityuan
+./bityuan-cli net info
 
 pass="123456"
 [ -e ~/myPass ] && pass=`cat ~/myPass`
-./chain33-cli  wallet unlock  -p $pass -s wallet -t 0
+./bityuan-cli  wallet unlock  -p $pass -s wallet -t 0
 
 sleep 15
-./chain33-cli account  list  | grep "airdropaddr" -B 2 | grep addr  -w | cut -d '"' -f 4 > ~/myAirdropAddr
-cat ~/myAirdropAddr | xargs -I{} ./chain33-cli  account dump_key -a {} > ~/myAirdropPriv
+./bityuan-cli account  list  | grep "airdropaddr" -B 2 | grep addr  -w | cut -d '"' -f 4 > ~/myAirdropAddr
+cat ~/myAirdropAddr | xargs -I{} ./bityuan-cli  account dump_key -a {} > ~/myAirdropPriv
 cat ~/myAirdropPriv | grep data| cut -d '"' -f 4 | xargs  -I{} echo "Run the cmd in wallet PC: account import_key -l ali00001 -k {} "

+ 5 - 5
install.sh

@@ -1,13 +1,13 @@
 cd /root/
-[ -e chain33 ] && cd chain33 && ./chain33-cli net info && exit 0
+[ -e bityuan ] && cd bityuan && ./bityuan-cli net info && exit 0
 apt-get update
 apt-get install wget -y
 apt-get install supervisor -y
 wget https://bityuan.com/download/bityuan_ubuntu.tgz
 tar zxf bityuan_ubuntu.tgz
-cd chain33 
-cp chain33.conf /etc/supervisor/conf.d/chain33.conf
+cd bityuan
+cp bty.conf /etc/supervisor/conf.d/bty.conf
 supervisorctl reload
-supervisorctl start chain33
+supervisorctl start bty
 sleep 15
-./chain33-cli net info
+./bityuan-cli net info

+ 4 - 9
make-pkg.sh

@@ -5,20 +5,15 @@ set -e
 
 source_dir=chain33
 dir1=tmp/
-dir2=$dir1/chain33
+dir2=$dir1/bityuan
 
 [ -e $source_dir/$dir1 ] && rm $source_dir/$dir1 -rf
 mkdir $source_dir/$dir2 -p
 
 cd $source_dir
-cp chain33 chain33.conf bityuan  bityuan.toml  $dir2
-cp bityuan-cli $dir2/chain33-cli
+cp bityuan bityuan-cli  bityuan.toml  $dir2
+cp bty bty.conf $dir2/
 
 cd $dir1
-tar zcf bityuan_ubuntu.tgz chain33
-cd ..
-
-cp bityuan.lite.toml $dir2/bityuan.toml
-cd $dir1
-tar zcf bityuan_ubuntu-lite.tgz chain33
+tar zcf bityuan_ubuntu.tgz bityuan
 cd ..

+ 12 - 6
pkg.md

@@ -1,16 +1,22 @@
 打包更新说明
- 1. 从 bityuan 的代码仓库,进行编译, 获得 bityuan bityuan-cli bityuan.toml bityuan.lite.toml
- 2. 下载原来的安装包。 在http://gitlab.33.cn/yanchenta 这里。 bityuan_ubuntu-lite.tgz   bityuan_ubuntu.tgz
+ 1. 从 bityuan 的代码仓库,进行编译, 获得 bityuan bityuan-cli bityuan.toml 
+ 2. 下载原来的安装包。 在http://gitlab.33.cn/yanchenta 这里.  bityuan_ubuntu.tgz
  3. 替换文件
  
 ```
+编译获得
  bityuan
- bityuan-cli 需要重命名为 chain33-cli
+ bityuan-cli 
  bityuan.toml
- bityuan.lite.toml . 在  bityuan_ubuntu-lite.tgz 中需要重命名为  bityuan.toml
- 配置修改 bityuan.toml bityuan.lite.toml  需要更新 其中 wallet存储的配置 为 dbPath="datadir/wallet"
+
+在安装项目中 (https://dev.33.cn/linj/installChain33.git) , chain33 目录下
+ bty  
+ bty.conf
+
+
+ 配置修改 bityuan.toml 需要更新 其中 wallet存储的配置 为 dbPath="datadir/wallet"
 ```
 
  4. 上传到 在http://gitlab.33.cn/yanchenta/btyres。 (覆盖原来的)
  5. 通知戴涛更新到官网,给用户下载
- 
+ 

+ 18 - 10
update.sh

@@ -1,25 +1,33 @@
+[ -e /root/bityuan ] && echo "bityuan exist. please rename or backup bityuan first. package will install to bityuan" && exit 0
 [ ! -e /root/chain33 ] && curl -sSLf https://dev.33.cn/linj/installChain33/raw/master/install_and_dumpkey.sh | sh && exit 0
+supervisorctl stop chain33
+
+[ -e /etc/supervisor/conf.d/chain33.conf ] && rm /etc/supervisor/conf.d/chain33.conf
+[ -e /root/chain33 ] && mv /root/chain33 /root/bityuan
+
 cd /tmp/
 [ -e /tmp/chain33 ] && rm /tmp/chain33 -rf
+[ -e /tmp/bityuan ] && rm /tmp/bityuan -rf
 [ -e /tmp/bityuan_ubuntu.tgz ] && rm /tmp/bityuan_ubuntu.tgz
 cd /tmp/
 wget https://bityuan.com/download/bityuan_ubuntu.tgz
 tar zxf bityuan_ubuntu.tgz
-cd chain33 
-[ -e chain33 ] && install chain33 /root/chain33/chain33
-[ -e bityuan ] && install bityuan /root/chain33/bityuan
-[ -e chain33-cli ] && install chain33-cli /root/chain33/chain33-cli
-[ -e chain33.toml ] && install chain33.toml /root/chain33/chain33.toml
-[ -e bityuan.toml ] && install bityuan.toml /root/chain33/bityuan.toml
-[ -e bityuan.lite.toml ] && install bityuan.lite.toml /root/chain33/bityuan.lite.toml
-[ -e chain33.conf ] && install chain33.conf /etc/supervisor/conf.d/chain33.conf && supervisorctl reload
+cd bityuan 
+
+[ -e bityuan ] && install bityuan /root/bityuan/bityuan
+[ -e bityuan-cli ] && install bityuan-cli /root/bityuan/bityuan-cli
+[ -e bityuan.toml ] && install bityuan.toml /root/bityuan/bityuan.toml
+[ -e bty ] && install bty /root/bityuan/bty
+[ -e bty.conf ] && install bty.conf /etc/supervisor/conf.d/bty.conf 
+
+supervisorctl reload
 
 sleep 15
 set -x
 started=`ps aux | grep bityuan -w | grep -v grep  | wc -l`
-[ $started = 1 ]  || supervisorctl restart chain33
+[ $started = 1 ]  || supervisorctl restart bty
 
 sleep 15
-started=`ps aux | grep bityuan -w | grep -v grep  | wc -l`
+started=`ps aux | grep bityuan -w | grep bityuan.toml  | grep -v grep  | wc -l`
 [ $started = 1 ] && echo "update bityuan success!"
 [ $started != 1 ] && echo "update bityuan failed!"